Bug 148407 - math/lp_solve: time handling error in patch
Summary: math/lp_solve: time handling error in patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-06 19:50 UTC by mayo
Modified: 2010-07-24 09:10 UTC (History)
0 users

See Also:


Attachments
file.diff (420 bytes, patch)
2010-07-06 19:50 UTC, mayo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mayo 2010-07-06 19:50:00 UTC
The commonlib.c patch in the port changes the struct used to get time of day, but does not take into account change between miliseconds and microseconds. If you notice, the original patch adds seconds to miliseconds, rather than seconds to seconds. The attached below fixes that.

Fix: See the attached patch.

Patch attached with submission follows:
How-To-Repeat: Run the demo, the times reported to solve the problem are out of whack.
Comment 1 Mark Linimon 2010-07-06 21:16:12 UTC
To which port does this PR apply?
Comment 2 mayo 2010-07-06 21:27:34 UTC
On 2010-07-06, at 13:16 , Mark Linimon wrote:

> To which port does this PR apply?


oops, sorry. It's lp_solve

Thanks,
mayo
Comment 3 Mark Linimon 2010-07-06 23:10:38 UTC
On Tue, Jul 06, 2010 at 09:00:10PM +0000, Mayo Jordanov wrote:
>  oops, sorry. It's lp_solve

OK, I've made the change.

The port is unmaintained -- since you use it, would you consider becoming
the new maintainer?
Comment 4 mayo 2010-07-06 23:15:45 UTC
On 2010-07-06, at 15:10 , Mark Linimon wrote:

> On Tue, Jul 06, 2010 at 09:00:10PM +0000, Mayo Jordanov wrote:
>> oops, sorry. It's lp_solve
>=20
> OK, I've made the change.
>=20
> The port is unmaintained -- since you use it, would you consider =
becoming
> the new maintainer?

Thanks Mark! I don't mind becoming a maintainer, but we will probably =
settle one using one of the current versions and stick to that one for a =
while unless there are major changes or features that we miss. I'll try =
to do my best to keep it up-to-date, though.

Thanks,
mayo=
Comment 5 Mark Linimon 2010-07-06 23:21:58 UTC
OK, you're the new maintainer :-)  Thanks.
Comment 6 Max Brazhnikov freebsd_committer 2010-07-22 08:16:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 7 dfilter service freebsd_committer 2010-07-24 09:03:54 UTC
makc        2010-07-24 08:03:41 UTC

  FreeBSD ports repository

  Modified files:
    math/lp_solve        Makefile 
    math/lp_solve/files  patch-shared+commonlib.c 
  Log:
  Fix the fix.
  
  PR:             ports/148407
  Submitted by:   Mayo Jordanov (maintainer)
  
  Revision  Changes    Path
  1.21      +1 -0      ports/math/lp_solve/Makefile
  1.2       +1 -1      ports/math/lp_solve/files/patch-shared+commonlib.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Max Brazhnikov freebsd_committer 2010-07-24 09:10:18 UTC
State Changed
From-To: open->closed

Committed. Thanks!